/* You can add global styles to this file, and also import other style files */
@import "primeicons/primeicons.css";
@import "primeng/resources/themes/lara-light-blue/theme.css";
@import "primeng/resources/primeng.css";



html, body {
  height: 100vh;
}

body {
  font-family: var(--font-family);
  background-color: #EEF3F8;
  margin: 0;
  display: flex;
  flex-direction: column;
  max-height: 100vh;
}



.flex {
  display: flex;
}

p-dropdown {
  margin-right: 10px;
  min-width: 0px;
}

p-multiselect {
  width: 100px;
  margin-right: 10px;
}

.field{
  margin-bottom: 1rem; 

  &.field-dropdown{
    margin-bottom: 0rem; 
  }
}

.field > label {
 display: inline-block;
 margin-bottom: 0.5rem;
}

.spinner-overlay {
  position: fixed;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  background-color: rgba(255, 255, 255, 0.7);
  z-index: 9999;
}

td {
  font-weight: bold;
}


// p-datatable-header {
//   padding-top: 2rem;
//   background-color: rgba(red,.7)
// }

// .p-datatable-tbody {
//   height: 300px;
// }

// .p-datatable-wrapper {
//   height: 400px;
// }

// .p-datatable {
//   height: 93vh;
// }

:root {
  --nba-blue: #1D428A;
  --nba-red: #C8102E;
}

.date-td {
  white-space: nowrap;

  a {
    color: blue;
    cursor: pointer;
    text-decoration: underline;
  }
}

.note-text {
  font-style: italic;
  margin-top: 0;
}

// mobile unzoom mode
html {
  @media screen and (max-width:768px) {
    // font-size: 0.5rem;
    font-size: 7px;

    .label-mobile {
        font-size: 1rem;
    }
    
    .p-checkbox .p-checkbox-box {
        border-width: 1px;
        width: 14px;
        height: 14px;
    
    }
    
    .p-checkbox .p-checkbox-box .p-checkbox-icon {
      width: 7px;
      height: 7px;
    }
  }
}
